- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Exponent::GUI::Fonts::CFontReference Class Reference

Inheritance diagram for Exponent::GUI::Fonts::CFontReference:

List of all members.

## Detailed Description

Reference to a font via name.

Date:
  21/08/2004

Author:
  Paul Chana

Version:
  1.0.0 Initial version

Note:
  All contents of this source code are copyright 2005 Exp Digital Uk.
  This source file is covered by the licence conditions of the Infinity API. You should have recieved a copy
  with the source code. If you didnt, please refer to http://www.expdigital.co.uk All content is the Intellectual property of Exp Digital Uk.
  Certain sections of this code may come from other sources. They are credited where applicable.
  If you have comments, suggestions or bug reports please visit http://support.expdigital.co.uk

Id
  CFontReference.hpp,v 1.3 2007/02/08 21:07:54 paul Exp

Definition at line 37 of file CFontReference.hpp.

## Public Member Functions

- CFontReference (const CFontReference &reference)
- CFontReference (const CString &name, const CString &facename)
- const CString & getFacename () const
- const CString & getName () const
- CFontReference & operator= (const CFontReference &reference)
- void setFacename (const CString &facename)
- void setName (const CString &name)
- virtual ~CFontReference ()

## Protected Attributes

- CString m_facename
- CString m_name

## Constructor & Destructor Documentation

Exponent::GUI::Fonts::CFontReference::CFontReference | ( | const CString & | name,
|  | const CString & | facename |
| ) |  |  |

Construction

Parameters:

  | name | The name of the font
  | facename | The face name of the font

Exponent::GUI::Fonts::CFontReference::CFontReference | ( | const CFontReference & | reference | ) |

Copy construction

Parameters:

  | reference | The font reference to copy

virtual Exponent::GUI::Fonts::CFontReference::~CFontReference | ( |  | ) | `[virtual]`

Destruction

## Member Function Documentation

const CString& Exponent::GUI::Fonts::CFontReference::getFacename | ( |  | ) | const`[inline]`

Get the filename

Return values:

  | const | CString& The facename of the font

Definition at line 102 of file CFontReference.hpp.

References m_facename.

const CString& Exponent::GUI::Fonts::CFontReference::getName | ( |  | ) | const`[inline]`

Get the name

Return values:

  | const | CString& The name of the font

Definition at line 96 of file CFontReference.hpp.

References m_name.

CFontReference& Exponent::GUI::Fonts::CFontReference::operator= | ( | const CFontReference & | reference | ) |

Assignment operator

Parameters:

  | reference | The font reference to copy

Return values:

  | CFontReference& | A reference to this

void Exponent::GUI::Fonts::CFontReference::setFacename | ( | const CString & | facename | ) | `[inline]`

Set the filename

Parameters:

  | facename | The face name of the font

Definition at line 88 of file CFontReference.hpp.

References m_facename.

void Exponent::GUI::Fonts::CFontReference::setName | ( | const CString & | name | ) | `[inline]`

Set the name

Parameters:

  | name | The name of the font

Definition at line 82 of file CFontReference.hpp.

References m_name.

## Member Data Documentation

CString Exponent::GUI::Fonts::CFontReference::m_facename`[protected]`

Font face name

Definition at line 111 of file CFontReference.hpp.

Referenced by getFacename(), and setFacename().

CString Exponent::GUI::Fonts::CFontReference::m_name`[protected]`

The name

Definition at line 110 of file CFontReference.hpp.

Referenced by getName(), and setName().